:root {
    --bs-blue: #2EADE3; /**** CUSTOM  ****/
    --bs-indigo: #7552E7; /**** CUSTOM  ****/
    --bs-purple: #9A52E7; /**** CUSTOM  ****/
    --bs-pink: #E752D1; /**** CUSTOM  ****/
    --bs-red: #ED5E44; /**** CUSTOM  ****/
    --bs-orange: #FFA055; /**** CUSTOM  ****/
    --bs-yellow: #FFDA55; /**** CUSTOM  ****/
    --bs-green: #73C654; /**** CUSTOM  ****/
    --bs-teal: #3ECAAB; /**** CUSTOM  ****/
    --bs-cyan: #3ECAC7; /**** CUSTOM  ****/
    --bs-black: #010000; /**** CUSTOM  ****/
    --bs-white: #fff; /**** CUSTOM  ****/
    --bs-gray: #474544; /**** CUSTOM  ****/
    --bs-gray-dark: #282726; /**** CUSTOM  ****/
    --bs-gray-100: #faf9f8; /**** CUSTOM  ****/
    --bs-gray-200: #efece9; /**** CUSTOM  ****/
    --bs-gray-300: #e6e2de; /**** CUSTOM  ****/
    --bs-gray-400: #dad4ce; /**** CUSTOM  ****/
    --bs-gray-500: #bdb5ad; /**** CUSTOM  ****/
    --bs-gray-600: #7d766c; /**** CUSTOM  ****/
    --bs-gray-700: #575049; /**** CUSTOM  ****/
    --bs-gray-800: #403a34; /**** CUSTOM  ****/
    --bs-gray-900: #292521; /**** CUSTOM  ****/
    --bs-primary: #F06E07; /**** CUSTOM  ****/
    --bs-secondary: #474544; /**** CUSTOM  ****/
    --bs-success: #73C654 ; /**** CUSTOM  ****/
    --bs-info: #2EADE3; /**** CUSTOM  ****/
    --bs-warning: #FFA055; /**** CUSTOM  ****/
    --bs-danger: #ED5E44; /**** CUSTOM  ****/
    --bs-light: #F9F9F9; /**** CUSTOM  ****/
    --bs-dark: #474544; /**** CUSTOM  ****/
    --bs-primary-rgb: 240, 110, 7; /**** CUSTOM  ****/
    --bs-primary-bg-rgba : rgba(240, 110, 7, 0.2);
    --bs-secondary-rgb: 240, 110, 7; /**** CUSTOM  ****/
    --bs-success-rgb: 58, 144, 27; /**** CUSTOM  ****/
    --bs-info-rgb: 21, 133, 181; /**** CUSTOM  ****/
    --bs-warning-rgb: 240, 110, 7; /**** CUSTOM  ****/
    --bs-danger-rgb: 195, 57, 31; /**** CUSTOM  ****/
    --bs-light-rgb: 249, 249, 249; /**** CUSTOM  ****/
    --bs-dark-rgb: 71, 69, 68; /**** CUSTOM  ****/
    --bs-primary-text-emphasis: #AC4E04; /**** CUSTOM ****/
    --bs-secondary-text-emphasis: #282726; /**** CUSTOM ****/
    --bs-success-text-emphasis: #3A901B; /**** CUSTOM ****/
    --bs-info-text-emphasis: #167196; /**** CUSTOM ****/
    --bs-warning-text-emphasis: #AC4E04; /**** CUSTOM ****/
    --bs-danger-text-emphasis: #A12B16; /**** CUSTOM ****/
    --bs-light-text-emphasis: #474544; /**** CUSTOM ****/
    --bs-dark-text-emphasis: #282726; /**** CUSTOM ****/
    --bs-primary-bg-subtle: #FCF3EB; /**** CUSTOM  ****/
    --bs-secondary-bg-subtle: #E4E3E3; /**** CUSTOM  ****/
    --bs-success-bg-subtle: #F4FDF1; /**** CUSTOM  ****/
    --bs-info-bg-subtle: #E9F6FC; /**** CUSTOM  ****/
    --bs-warning-bg-subtle: #FCF3EB; /**** CUSTOM  ****/
    --bs-danger-bg-subtle: #FFF1EF; /**** CUSTOM  ****/
    --bs-light-bg-subtle: #F9F9F9; /**** CUSTOM  ****/
    --bs-dark-bg-subtle: #E4E3E3; /**** CUSTOM  ****/
    --bs-primary-border-subtle: #BDB6B6; /**** CUSTOM  ****/
    --bs-secondary-border-subtle: #EDEDED;  /**** CUSTOM  ****/ 
    --bs-success-border-subtle: #CFEBC4;  /**** CUSTOM  ****/ 
    --bs-info-border-subtle: #AFD7E8;  /**** CUSTOM  ****/ 
    --bs-warning-border-subtle: #FFDCC0;  /**** CUSTOM  ****/ 
    --bs-danger-border-subtle: #FED7D0;  /**** CUSTOM  ****/ 
    --bs-light-border-subtle: #EDEDED;  /**** CUSTOM  ****/ 
    --bs-dark-border-subtle: #BDB6B6;  /**** CUSTOM  ****/ 
    --bs-white-rgb: 255, 255, 255;
    --bs-black-rgb: 0, 0, 0;
    --bs-body-color: #474544; /**** CUSTOM  ****/
    --bs-body-color-rgb: 33, 37, 41;
    --bs-body-bg: #fff;
    --bs-body-bg-rgba : rgba(255, 255, 255, 0.5);
    --bs-body-bg-rgb: 255, 255, 255;
    --bs-emphasis-color: #F06E07; /**** CUSTOM  ****/

    /* BODY STYLING*/
    --bs-font-sans-serif: system-ui, -apple-system, "Montserrat", "Segoe UI", Roboto, "Helvetica Neue", "Noto Sans", "Liberation Sans", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    --bs-font-monospace: "Source Code Pro", SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
    --bs-body-font-family: var(--bs-font-sans-serif);
    --bs-body-font-size: 1rem;
    --bs-body-font-weight: 400;
    --bs-body-line-height: 1.5;
    

    --bs-emphasis-color-rgb: rgb(240, 110, 7);
    --bs-secondary-color: rgba(33, 37, 41, 0.75);
    --bs-secondary-color-rgb: 33, 37, 41;
    --bs-secondary-bg: #e9ecef;
    --bs-secondary-bg-rgb: 233, 236, 239;
    --bs-tertiary-color: rgba(33, 37, 41, 0.5);
    --bs-tertiary-color-rgb: rgb(240, 110, 7);
    --bs-tertiary-bg: #f8f9fa;
    --bs-tertiary-bg-rgb: 248, 249, 250;
    --bs-heading-color: inherit;
    --bs-link-color: #2EADE3; /**** CUSTOM  ****/
    --bs-link-color-rgb: 13, 110, 253;
    --bs-link-decoration: underline;
    --bs-link-hover-color: #167196; /**** CUSTOM  ****/
    --bs-link-hover-color-rgb: 10, 88, 202;
    --bs-code-color: #d63384;
    --bs-highlight-color: #212529;
    --bs-highlight-bg: #fff3cd;
    --bs-border-width: 1px;
    --bs-border-style: solid;
    --bs-border-color: #BDB6B6; /**** CUSTOM  ****/
    --bs-border-color-translucent: rgba(189, 182, 182, 0.175); /**** CUSTOM  ****/
    --bs-border-radius: 1rem;
    --bs-border-radius-sm: 0.5rem;
    --bs-border-radius-lg: 1rem;
    --bs-border-radius-xl: 1rem;
    --bs-border-radius-xxl: 2rem;
    --bs-border-radius-2xl: var(--bs-border-radius-xxl);
    --bs-border-radius-pill: 50rem;
    --bs-box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
    --bs-box-shadow-sm: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    --bs-box-shadow-lg: 0 1rem 3rem rgba(0, 0, 0, 0.175);
    --bs-box-shadow-inset: inset 0 1px 2px rgba(0, 0, 0, 0.075);
    --bs-focus-ring-width: 0.25rem;
    --bs-focus-ring-opacity: 0.25;
    --bs-focus-ring-color: rgba(13, 110, 253, 0.25);
    --bs-form-valid-color: #3A901B; /**** CUSTOM  ****/
    --bs-form-valid-border-color: #3A901B; /**** CUSTOM  ****/
    --bs-form-invalid-color: #C3391F; /**** CUSTOM  ****/
    --bs-form-invalid-border-color: #C3391F; /**** CUSTOM  ****/
    --bs-btn-bg: #F06E07;

    /* OTHER */
    --bs-gradient: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
    --bs-secondary-color-dark: rgba(71, 69, 68, 0.90);
  }

  [data-bs-theme=dark] {
    color-scheme: dark;
    --bs-blue: #2a5eec; /**** CUSTOM  YES ****/
    --bs-indigo: #7552E7; /**** CUSTOM  ****/
    --bs-purple: #9A52E7; /**** CUSTOM  ****/
    --bs-pink: #E752D1; /**** CUSTOM  ****/
    --bs-red: #ee828d; /**** CUSTOM  YES****/
    --bs-orange: #fb513a; /**** CUSTOM yes ****/
    --bs-yellow: #ffd257; /**** CUSTOM  YES ****/
    --bs-green: #499e57; /**** CUSTOM YES ****/
    --bs-teal: #3ECAAB; /**** CUSTOM  ****/
    --bs-cyan: #3ECAC7; /**** CUSTOM  ****/
    --bs-black: #010000; /**** CUSTOM  ****/
    --bs-white: #fff; /**** CUSTOM  ****/
    --bs-gray: #474544; /**** CUSTOM  ****/
    --bs-gray-dark: #282726; /**** CUSTOM  ****/
    --bs-gray-100: #fcf8f4; /**** CUSTOM  YES ****/
    --bs-gray-200: #efece9; /**** CUSTOM  ****/
    --bs-gray-300: #e6e2de; /**** CUSTOM  ****/
    --bs-gray-400: #f7f0eb; /**** CUSTOM YES ****/
    --bs-gray-500: #eae4df; /**** CUSTOM  YES ****/
    --bs-gray-600: #7c8399; /**** CUSTOM YES ****/
    --bs-gray-700: #575049; /**** CUSTOM  ****/
    --bs-gray-800: #292521; /**** CUSTOM  YES****/
    --bs-gray-900: #121a1a; /**** CUSTOM YES ****/ 
    --bs-primary: #2a5eec; /**** CUSTOM YES ****/
    --bs-secondary: #494f61; /**** CUSTOM YES ****/
    --bs-success: #499e57 ; /**** CUSTOM YES****/
    --bs-info: #2EADE3; /**** CUSTOM  ****/
    --bs-warning: #fb513a; /**** CUSTOM  YES ****/
    --bs-danger: #ee828d; /**** CUSTOM YES ****/
    --bs-light: #F9F9F9; /**** CUSTOM  ****/
    --bs-dark: #121a1a; /**** CUSTOM YES ****/
    --bs-primary-rgb: rgb(42, 94, 236); /**** CUSTOM YES ****/
    --bs-primary-bg-rgba : rgba(42, 94, 236, 0.2); /**** CUSTOM YES ****/
    --bs-secondary-rgb: rgb(73, 79, 97); /**** CUSTOM YES ****/
    --bs-success-rgb: rgb(73, 158, 87); /**** CUSTOM  YES ****/
    --bs-info-rgb: 21, 133, 181; /**** CUSTOM  ****/
    --bs-warning-rgb: rgb(251, 81, 58); /**** CUSTOM YES ****/
    --bs-danger-rgb: rgb(238, 130, 141); /**** CUSTOM YES ****/
    --bs-light-rgb: 249, 249, 249; /**** CUSTOM  ****/
    --bs-dark-rgb: 71, 69, 68; /**** CUSTOM  ****/
    --bs-primary-text-emphasis: #11265e; /**** CUSTOM YES ****/
    --bs-secondary-text-emphasis: #121a1a; /**** CUSTOM YES ****/
    --bs-success-text-emphasis: #235339; /**** CUSTOM YES ****/
    --bs-info-text-emphasis: #167196; /**** CUSTOM ****/
    --bs-warning-text-emphasis: #ab270a; /**** CUSTOM YES ****/
    --bs-danger-text-emphasis: #a50f25; /**** CUSTOM YES ****/
    --bs-light-text-emphasis: #474544; /**** CUSTOM ****/
    --bs-dark-text-emphasis: #282726; /**** CUSTOM ****/
    --bs-primary-bg-subtle: #aabff7; /**** CUSTOM  YES ****/
    --bs-secondary-bg-subtle: #eae4df; /**** CUSTOM  YES ****/
    --bs-success-bg-subtle: #f7fbf0; /**** CUSTOM YES ****/
    --bs-info-bg-subtle: #E9F6FC; /**** CUSTOM  ****/
    --bs-warning-bg-subtle: #fcede8; /**** CUSTOM YES ****/
    --bs-danger-bg-subtle: #fcebef; /**** CUSTOM  YES****/
    --bs-light-bg-subtle: #F9F9F9; /**** CUSTOM  ****/
    --bs-dark-bg-subtle: #E4E3E3; /**** CUSTOM  ****/
    --bs-primary-border-subtle: #6a8ef2; /**** CUSTOM  YES ****/
    --bs-secondary-border-subtle: #d2d5df;  /**** CUSTOM  YES ****/ 
    --bs-success-border-subtle: #c2e189;  /**** CUSTOM YES ****/ 
    --bs-info-border-subtle: #AFD7E8;  /**** CUSTOM  ****/ 
    --bs-warning-border-subtle: #ff9c7c;  /**** CUSTOM YES ****/ 
    --bs-danger-border-subtle: #fac6d2;  /**** CUSTOM YES ****/ 
    --bs-light-border-subtle: #EDEDED;  /**** CUSTOM  ****/ 
    --bs-dark-border-subtle: #BDB6B6;  /**** CUSTOM  ****/ 
    --bs-white-rgb: 255, 255, 255;
    --bs-black-rgb: 0, 0, 0;
    --bs-body-color: #474544; /**** CUSTOM  ****/
    --bs-body-color-rgb: 33, 37, 41;
    --bs-body-bg: #fff;
    --bs-body-bg-rgba : rgba(255, 255, 255, 0.5);
    --bs-body-bg-rgb: 255, 255, 255;
    --bs-emphasis-color: #2a5eec; /**** CUSTOM YES ****/

    /* BODY STYLING*/
    --bs-font-sans-serif: system-ui, -apple-system, "Montserrat", "Segoe UI", Roboto, "Helvetica Neue", "Noto Sans", "Liberation Sans", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
    --bs-font-monospace: "Source Code Pro", SFMono-Regular, Menlo, Monaco, Consolas, "Liberation Mono", "Courier New", monospace;
    --bs-body-font-family: var(--bs-font-sans-serif);
    --bs-body-font-size: 1rem;
    --bs-body-font-weight: 400;
    --bs-body-line-height: 1.5;
    

    --bs-emphasis-color-rgb: rgb(240, 110, 7);
    --bs-secondary-color: rgba(33, 37, 41, 0.75);
    --bs-secondary-color-rgb: 33, 37, 41;
    --bs-secondary-bg: #e9ecef;
    --bs-secondary-bg-rgb: 233, 236, 239;
    --bs-tertiary-color: rgba(33, 37, 41, 0.5);
    --bs-tertiary-color-rgb: rgb(240, 110, 7);
    --bs-tertiary-bg: #f8f9fa;
    --bs-tertiary-bg-rgb: 248, 249, 250;
    --bs-heading-color: inherit;
    --bs-link-color: #2EADE3; /**** CUSTOM  ****/
    --bs-link-color-rgb: 13, 110, 253;
    --bs-link-decoration: underline;
    --bs-link-hover-color: #167196; /**** CUSTOM  ****/
    --bs-link-hover-color-rgb: 10, 88, 202;
    --bs-code-color: #d63384;
    --bs-highlight-color: #212529;
    --bs-highlight-bg: #fff3cd;
    --bs-border-width: 1px;
    --bs-border-style: solid;
    --bs-border-color: #BDB6B6; /**** CUSTOM  ****/
    --bs-border-color-translucent: rgba(189, 182, 182, 0.175); /**** CUSTOM  ****/
    --bs-border-radius: 1rem;
    --bs-border-radius-sm: 0.5rem;
    --bs-border-radius-lg: 1rem;
    --bs-border-radius-xl: 1rem;
    --bs-border-radius-xxl: 2rem;
    --bs-border-radius-2xl: var(--bs-border-radius-xxl);
    --bs-border-radius-pill: 50rem;
    --bs-box-shadow: 0 0.5rem 1rem rgba(0, 0, 0, 0.15);
    --bs-box-shadow-sm: 0 0.125rem 0.25rem rgba(0, 0, 0, 0.075);
    --bs-box-shadow-lg: 0 1rem 3rem rgba(0, 0, 0, 0.175);
    --bs-box-shadow-inset: inset 0 1px 2px rgba(0, 0, 0, 0.075);
    --bs-focus-ring-width: 0.25rem;
    --bs-focus-ring-opacity: 0.25;
    --bs-focus-ring-color: rgba(13, 110, 253, 0.25);
    --bs-form-valid-color: #499e57; /**** CUSTOM  ****/
    --bs-form-valid-border-color: #499e57; /**** CUSTOM YES ****/
    --bs-form-invalid-color: #a50f25;/**** CUSTOM YES ****/
    --bs-form-invalid-border-color: #a50f25; /**** CUSTOM YES ****/
    --bs-btn-bg: #2a5eec;/**** CUSTOM YES ****/

    /* OTHER */
    --bs-gradient: linear-gradient(180deg, rgba(255, 255, 255, 0.15), rgba(255, 255, 255, 0));
    --bs-secondary-color-dark: rgba(71, 69, 68, 0.90);


  }


  html {
    scroll-behavior: smooth; /* Enables smooth scrolling */
    }




/************************ GENERAL STYLING & OVERRIDES ****************************/


h1, h2, h3, h4, h5, h6 {
    color: var(--bs-primary);
}

.display-1,
.display-2,
.display-3,
.display-4,
.display-5,
.display-6 {
    font-weight: 100;
}

.spacer {
    height: 48px; /* Adjust the height as needed */
}

.spacer-bottom {
    height: 120px;
}

.spacer-line {
    width: 100%; /* Ensures it spans the full width of the container */
    height: 24px; /* Adjust the height as needed */
    margin-bottom: 24px;
    border-bottom: 1px solid var(--bs-primary-border-subtle); /* Uses Bootstrap variable for border color */
}

.btn-primary {
    --bs-btn-color: var(--bs-white);
    --bs-btn-bg: var(--bs-primary);
    --bs-btn-border-color: var(--bs-primary);
    --bs-btn-hover-color: var(--bs-primary);
    --bs-btn-hover-bg: var(--bs-dark);
    --bs-btn-hover-border-color: var(--bs-dark);
    --bs-btn-focus-shadow-rgb: 41, 37, 33;
    --bs-btn-active-color: var(--bs-primary);
    --bs-btn-active-bg: var(--bs-dark);
    --bs-btn-active-border-color: var(--bs-primary);
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: var(--bs-gray-200);
    --bs-btn-disabled-bg: var(--bs-gray-600);
    --bs-btn-disabled-border-color: var(--bs-gray-300);
    background: var(--bs-primary);
    border: 1px solid var(--bs-primary)
}


.btn-primary:hover{
    background: var(--bs-dark);
    border: 1px solid var(--bs-primary);
    color: var(--bs-white);
}

.btn-secondary{
    border: 1px solid var(--bs-primary)
}

.btn-secondary:hover{
    background: var(--bs-light);
    border: 1px solid var(--bs-body-color);
    color: var(--bs-body-color);
}

.btn-outline-primary{
    border: 1px solid var(--bs-primary);
    color: var(--bs-primary);
}

.btn-outline-primary:hover{
    border: 1px solid var(--bs-primary);
    background-color: var(--bs-primary);
    color: var(--bs-white);
}

.text-bg-info {
    color: var(--bs-white) !important;
}

.form-check-input:checked {
    background-color: var(--bs-primary);
    border-color: var(--bs-primary);
}

.active>.page-link{
    background-color: var(--bs-primary);
    border: 1px solid var(--bs-primary);
}

.page-link{
    color: var(--bs-body-color);
}

.bg-secondary{
    background-color: var(--bs-secondary) !important;
}

.progress-bar{
    background-color: var(--bs-primary);
}

.nav-pills .nav-link.active{
    background-color: var(--bs-primary);
}

/* .nav-link{
    color: var(--bs-body-color);
}

.nav-link:hover{
    color: var(--bs-primary);
} */

.table{
    --bs-table-bg: transparent;
}

table tr{
    vertical-align: middle;
}
/* Table row hover effect */
.table tbody tr:hover {
    background-color: var(--bs-secondary) !important;
    color: var(--bs-white) !important;
}

/* Ensure that the text in the hovered row remains white */
.table tbody tr:hover td, 
.table tbody tr:hover th {
    color: var(--bs-white) !important;
}

/* Ensure that borders maintain consistency while hovering over rows */
.table tbody tr:hover td {
    border-color: var(--bs-secondary) !important;
}

.table-striped>tbody>tr:nth-of-type(odd)>* {
    background-color: var(--bs-primary-bg-subtle);
}

.table>:not(caption)>*>* {
    box-shadow: none;
}


.form-control {
    border: 1px solid var(--bs-primary);
    padding: .5rem 1rem;
}

 

/************************ CUSTOM COMPONENTS ****************************/
.basic-card-custom{
    width: 100%;
    padding: 24px;
    border: 1px solid var(--bs-primary);
    border-radius: 24px;
}

@media (max-width: 767px) {
    .basic-card-custom{
        margin-bottom: 24px;
    }
}




 /************** GENERAL STYLES **************/

/* Background container */


.header {
    height: 64px;
    width: 100%;
    position: fixed; /* Keep header fixed */
    top: 0;
    left: 0;
    background-color: transparent;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 0 32px;
    z-index: 10; /* Ensure header stays on top */
}

.header img {
    height: 40px;
    padding-right: 8px;
}

.alert-icon {
    font-size: 1.5rem;
    color: var(--bs-white);
    position: relative;
}

.alert-icon .badge {
    position: absolute;
    top: -5px;
    right: -10px;
    background-color: var(--bs-info);
    font-size: 0.75rem;
    border:1px solid var(--bs-white);
}

@media (max-width: 767px) {
    .alert-icon-desktop{
        margin: 0px 8px 0px 8px;
    }
}


.main-content .form-group{
    margin-top:24px;
}


/************** MAIN CONTENT **************/
.main-content {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    overflow-y: auto; /* Enable vertical scrolling */
}


.main-content .page-h1 {
    color: var(--bs-white);
    margin-bottom: 24px;
    margin-top: 80px;
}

/* Desktop (Min Width 1200px) */
@media (min-width: 1200px) {
    .main-content .page-h1 {
        margin-top: 148px;
    }
}


/************** MEDIA QUERIES **************/
@media (max-width: 767px) {
    .header{
        padding: 0 16px;
    }

    .main-content {
        margin-left: 0;
        padding-bottom: 81px; /* Extra padding for mobile nav */
    }

    .card-container .page-h1 {
        margin-top: 8px
    }
}


.main-content .form-group{
    margin-top:24px;
}



/************** Header-Space **************/
.header-space {
    height: 120px;
}

@media (max-width: 767px) {
    .header-space {
        height: 80px;
    }
}
